extern const s8 small_tree[];
extern const s8 tree[];
extern const s8 large_tree[];
extern const s8 fuel_dump[];
extern const s8 peasant_hut[];
extern const s8 church[];
extern const s8 rock[];
extern const s8 menhir[];
extern const s8 allied_flag[];
extern const s8 enemy_flag[];
extern const s8 tent[];
extern const s8 monument[];
extern const s8 wind_turbine[];
extern const s8 yellow_flower[];
extern const s8 red_flower[];
extern const s8 shed[];
extern const s8 out_post[];
extern const s8 house[];
extern const s8 bungalow[];
extern const s8 hospital[];
extern const s8 hangar[];

const rom_entity_t hunterentities[] =
{
{200, 110, &yellow_flower, 0},
{125, 30, &allied_flag, 0},
{130, 128, &tree, 0},
{210, 235, &large_tree, 0},
{40, 85, &house, 0},
{10, 245, &small_tree, 0},
{128, 40, &large_tree, 0},
{170, 35, &tree, 0},
{185, 170, &menhir, 0},
{160, 110, &peasant_hut, 0},
{50, 14, &large_tree, 0},
{190, 235, &yellow_flower, 0},
{0, 200, &allied_flag, 0},
{88, 180, &tent, 0},
{180, 25, &tent, 0},
{120, 200, &tent, 0},
{35, 40, &tent, 0},
{153, 170, &monument, 0},
{252, 230, &small_tree, 0},
{90, 5, &menhir, 0},
{64, 64, &fuel_dump, 0},
{220, 210, &small_tree, 0},
{90, 200, &tent, 0},
{73, 220, &house, 0},
{164, 190, &hangar, 0},
{190, 123, &rock, 0},
{70, 5, &tree, 0},
{60, 105, &tent, 0},
{180, 100, &tent, 0},
{100, 160, &hangar, 0},
{128, 174, &house, 0},
{115, 230, &church, 0},
{100, 128, &tent, 0},
{128, 210, &tree, 0},
{247, 250, &allied_flag, 0},
{110, 25, &large_tree, 0},
{220, 40, &red_flower, 0},
{135, 210, &tree, 0},
{255, 210, &hangar, 0},
{125, 100, &bungalow, 0},
{155, 120, &house, 0},
{50, 35, &tent, 0},
{246, 5, &allied_flag, 0},
{246, 190, &wind_turbine, 0},
{180, 4, &large_tree, 0},
{228, 128, &peasant_hut, 0},
{208, 208, &peasant_hut, 0},
{88, 150, &menhir, 0},
{128, 128, &menhir, 0},
{110, 230, &wind_turbine, 0},
{160, 96, &peasant_hut, 0},
{170, 215, &large_tree, 0},
{125, 80, &tree, 0},
{155, 120, &wind_turbine, 0},
{253, 25, &wind_turbine, 0},
{40, 216, &peasant_hut, 0},
{178, 173, &church, 0},
{150, 140, &shed, 0},
{100, 140, &shed, 0},
{215, 210, &menhir, 0},
{30, 100, &yellow_flower, 0},
{50, 110, &allied_flag, 0},
{190, 37, &peasant_hut, 0},
{235, 200, &rock, 0},
{242, 200, &rock, 0},
{224, 160, &peasant_hut, 0},
{150, 200, &red_flower, 0},
{80, 208, &peasant_hut, 0},
{55, 200, &tree, 0},
{75, 32, &small_tree, 0},
{192, 150, &red_flower, 0},
{160, 80, &large_tree, 0},
{15, 10, &bungalow, 0},
{235, 128, &church, 0},
{96, 55, &peasant_hut, 0},
{247, 60, &out_post, 0},
{170, 190, &small_tree, 0},
{185, 170, &allied_flag, 0},
{70, 25, &yellow_flower, 0},
{170, 3, &allied_flag, 0},
{240, 100, &allied_flag, 0},
{210, 220, &monument, 0},
{40, 220, &monument, 1},
{126, 210, &monument, 0},
{170, 225, &hospital, 0},
{0, 230, &out_post, 1},
{255, 5, &shed, 0},
{0, 110, &hangar, 0},
{252, 205, &shed, 0},
{250, 128, &rock, 0},
{252, 0, &shed, 0},
{22, 0, &shed, 0},
{115, 210, &large_tree, 0},
{165, 240, &large_tree, 0},
{135, 240, &large_tree, 0},
{100, 115, &yellow_flower, 0},
{230, 110, &enemy_flag, 0},
};

const h_cell_t huntercells[] =
{
{9, 0, 4, -1},
{1, 0, 4, -1},
{5, 0, 3, -1},
{8, 10, 2, -1},
{8, 20, 4, -1},
{5, 60, 4, -1},
{8, 100, 4, -1},
{5, 20, 2, -1},
{8, 0, 3, -1},
{0, 0, 4, -1},
{5, 10, 4, -1},
{8, 0, 3, 0},
{5, 30, 4, -1},
{5, 40, 4, -1},
{8, 50, 4, -1},
{8, 30, 4, -1},
{5, 70, 4, -1},
{8, 10, 4, -1},
{5, 20, 4, -1},
{0, 0, 4, 1},
{3, 50, 4, -1},
{4, 90, 4, -1},
{8, 0, 4, -1},
{5, 10, 2, -1},
{5, 0, 4, -1},
{8, 40, 4, -1},
{8, 40, 4, 2},
{8, 20, 4, 3},
{8, 30, 2, -1},
{6, 120, 4, -1},
{4, 110, 4, -1},
{3, 120, 4, -1},
{4, 130, 4, -1},
{6, 150, 4, -1},
{5, 110, 4, -1},
{0, 70, 4, -1},
{8, 130, 4, -1},
{5, 50, 4, -1},
{0, 40, 4, -1},
{4, 60, 4, -1},
{8, 20, 4, 4},
{5, 0, 1, -1},
{0, 0, 3, -1},
{5, 0, 4, 5},
{0, 0, 4, 6},
{8, 10, 4, 7},
{8, 0, 1, -1},
{5, 0, 0, 8},
{5, 0, 2, -1},
{0, 0, 0, -1},
{5, 0, 0, -1},
{3, 100, 4, -1},
{4, 160, 4, -1},
{3, 130, 4, -1},
{4, 150, 4, -1},
{4, 160, 4, 9},
{4, 80, 4, -1},
{8, 80, 4, -1},
{0, 30, 4, -1},
{3, 30, 4, -1},
{4, 40, 4, -1},
{8, 0, 4, 10},
{8, 60, 4, -1},
{8, 30, 4, 11},
{5, 80, 4, -1},
{8, 100, 4, 12},
{8, 20, 2, -1},
{3, 90, 4, -1},
{6, 230, 4, -1},
{4, 190, 4, -1},
{4, 210, 4, -1},
{4, 200, 4, -1},
{6, 220, 4, -1},
{4, 180, 4, -1},
{3, 140, 4, -1},
{6, 170, 4, -1},
{8, 90, 4, -1},
{4, 70, 4, -1},
{0, 20, 4, -1},
{0, 0, 4, 13},
{3, 20, 4, -1},
{0, 10, 4, 14},
{0, 10, 4, -1},
{4, 200, 4, 15},
{3, 190, 4, -1},
{4, 230, 4, -1},
{3, 200, 4, -1},
{4, 210, 4, 16},
{6, 180, 4, -1},
{4, 170, 4, -1},
{6, 140, 4, -1},
{4, 100, 4, -1},
{3, 130, 4, 17},
{6, 110, 4, -1},
{3, 60, 4, -1},
{8, 30, 4, 18},
{0, 40, 4, 19},
{8, 10, 4, 20},
{5, 20, 4, 21},
{4, 140, 4, -1},
{6, 190, 4, -1},
{6, 260, 4, -1},
{4, 120, 4, -1},
{3, 80, 4, -1},
{3, 40, 4, -1},
{5, 170, 4, -1},
{5, 100, 4, -1},
{3, 220, 4, -1},
{4, 260, 4, -1},
{3, 260, 4, -1},
{4, 280, 4, 22},
{4, 220, 4, -1},
{6, 40, 4, -1},
{4, 30, 4, -1},
{6, 210, 4, -1},
{5, 150, 4, -1},
{5, 30, 2, -1},
{5, 10, 4, 23},
{8, 110, 4, -1},
{4, 50, 4, -1},
{3, 230, 4, -1},
{4, 280, 4, -1},
{6, 310, 4, -1},
{4, 300, 4, -1},
{6, 280, 4, -1},
{6, 30, 4, -1},
{3, 10, 4, -1},
{8, 0, 2, -1},
{5, 10, 4, 24},
{4, 10, 4, -1},
{5, 40, 4, 25},
{6, 100, 4, 26},
{4, 250, 4, 27},
{6, 240, 4, -1},
{4, 240, 4, -1},
{4, 120, 4, 28},
{5, 10, 4, 29},
{5, 10, 4, 30},
{6, 80, 4, -1},
{3, 70, 4, -1},
{4, 110, 4, 31},
{4, 200, 4, 32},
{5, 50, 4, 33},
{5, 10, 4, 34},
{0, 50, 4, -1},
{5, 120, 4, -1},
{5, 0, 4, 35},
{6, 100, 4, -1},
{6, 90, 4, 36},
{3, 170, 4, -1},
{4, 20, 4, -1},
{0, 0, 4, 37},
{8, 160, 4, -1},
{6, 200, 4, -1},
{5, 60, 4, 38},
{0, 60, 4, -1},
{0, 90, 4, -1},
{8, 150, 4, -1},
{8, 40, 4, 39},
{5, 90, 4, -1},
{8, 30, 4, 40},
{6, 170, 4, 41},
{6, 160, 4, -1},
{8, 0, 0, -1},
{3, 100, 4, 42},
{0, 80, 4, -1},
{3, 130, 4, 43},
{0, 120, 4, 44},
{0, 90, 4, 45},
{4, 140, 4, 46},
{3, 160, 4, -1},
{5, 20, 2, 47},
{4, 0, 4, -1},
{3, 0, 4, -1},
{6, 0, 4, -1},
{0, 10, 4, 48},
{3, 150, 4, -1},
{3, 250, 4, -1},
{6, 320, 4, -1},
{4, 180, 4, 49},
{4, 250, 4, -1},
{3, 310, 4, -1},
{4, 340, 4, -1},
{6, 220, 4, 50},
{4, 30, 4, 51},
{0, 0, 1, -1},
{3, 170, 4, 52},
{3, 240, 4, -1},
{4, 260, 4, 53},
{6, 250, 4, -1},
{3, 210, 4, -1},
{4, 270, 4, -1},
{6, 290, 4, 54},
{6, 270, 4, 55},
{3, 270, 4, -1},
{4, 350, 4, 56},
{6, 390, 4, -1},
{5, 140, 4, -1},
{0, 20, 4, 57},
{5, 30, 4, 58},
{0, 10, 4, 59},
{8, 70, 4, -1},
{6, 90, 4, -1},
{3, 110, 4, -1},
{8, 20, 4, 60},
{8, 40, 4, 61},
{0, 0, 4, 62},
{5, 0, 4, 63},
{8, 0, 4, 64},
{6, 10, 4, -1},
{6, 50, 4, -1},
{5, 30, 4, 65},
{3, 180, 4, -1},
{8, 20, 2, 66},
{4, 0, 4, 67},
{0, 0, 4, 68},
{8, 40, 4, 69},
{4, 110, 4, 70},
{6, 150, 4, 71},
{0, 0, 4, 72},
{5, 0, 4, 73},
{4, 0, 4, 74},
{8, 20, 4, 75},
{4, 90, 4, 76},
{3, 250, 4, 77},
{8, 20, 4, 78},
{5, 0, 1, 79},
{8, 120, 4, -1},
{6, 20, 4, -1},
{8, 0, 4, 80},
{5, 10, 4, 81},
{0, 10, 4, 82},
{8, 50, 4, 84},
{5, 10, 4, 85},
{8, 10, 4, 87},
{0, 0, 4, 88},
{5, 0, 4, 89},
{5, 0, 0, 90},
{5, 0, 1, 91},
{5, 10, 4, 92},
{8, 40, 4, 93},
{5, 20, 4, 94},
{8, 20, 2, 95},
{8, 0, 4, 96},
};

const h_map_t huntermap =
{{
{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,2,4,5,6,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,8,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,11,12,4,13,14,13,15,16,3,2,17,18,19,18,9,18,20,21,15,10,22,23,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,24,25,10,22,12,3,1,1,1,1,1,8,24,26,13,27,7,1,1,8,23,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,1,1,1,1,1,8,10,28,1,1,1,1,1,1,1,1,1,1,2,14,5,29,30,31,32,29,30,33,34,35,21,36,37,14,18,38,39,29,13,15,18,40,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,9,13,17,10,17,41,1,1,1,1,42,43,44,12,45,24,46,1,1,47,46,1,1,1,8,48,1,1,1,1,1,1,1,1,1,1,8,48,8,23,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,50,9,41,1,1,1,1,1,1,1,1,1,1,9,39,51,52,53,52,33,54,53,55,29,56,51,32,57,12,58,13,59,60,4,10,22,41,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,24,25,10,17,24,1,1,1,1,1,24,17,50,61,41,1,1,1,1,1,1,1,1,8,24,14,12,15,13,62,13,17,18,4,13,63,64,65,13,14,64,62,18,66,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,24,67,52,68,69,68,70,68,71,72,73,74,54,75,30,76,77,36,37,25,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,9,37,4,24,46,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,24,9,13,78,12,38,37,15,10,17,24,79,10,80,60,15,12,80,12,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,81,18,1,2,82,56,74,83,84,85,86,87,88,89,90,91,92,52,93,91,94,30,95,18,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,8,18,62,18,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,10,15,18,96,37,14,18,97,10,49,24,9,24,15,98,17,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,78,5,15,1,9,18,94,99,100,71,101,70,72,73,90,102,103,99,75,32,29,77,93,12,17,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,24,104,105,25,23,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,12,82,18,78,18,22,24,46,1,1,50,9,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,15,23,8,18,25,18,22,23,1,2,82,5,103,106,14,5,51,54,107,108,109,110,107,111,88,32,29,39,51,30,112,113,80,60,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,2,9,56,114,115,14,116,8,48,8,10,17,10,28,1,1,1,1,1,1,1,1,1,1,1,1,24,4,24,17,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,17,12,17,117,4,18,58,91,6,16,103,21,118,5,62,24,82,119,103,30,33,30,31,73,120,121,122,123,124,70,114,89,93,91,80,60,125,10,9,24,17,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,49,24,126,119,125,10,46,50,46,24,82,10,78,13,127,1,1,1,1,1,1,1,1,1,1,2,82,18,9,10,82,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,128,4,24,9,12,4,129,67,91,67,30,31,99,93,91,57,130,59,77,67,102,131,21,74,89,107,132,133,134,84,70,88,135,93,12,25,12,4,136,9,18,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,49,24,17,24,46,1,1,1,9,24,9,18,25,10,1,1,1,1,1,1,1,1,1,1,9,10,4,10,58,16,14,12,25,116,1,2,3,1,8,10,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,24,58,12,46,24,4,137,9,39,138,91,53,54,88,52,33,32,118,12,139,56,29,140,67,102,53,69,68,111,133,141,133,70,90,102,38,142,25,12,4,24,17,18,15,143,66,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,49,41,1,1,1,1,1,50,9,24,9,18,46,1,1,1,1,1,1,1,1,1,1,24,35,13,144,16,103,145,57,12,15,10,9,10,4,18,144,13,17,10,127,1,8,10,17,23,1,1,1,1,1,1,1,1,1,1,1,1,49,146,127,2,78,16,15,10,9,18,17,24,139,21,103,30,31,52,33,99,29,21,82,119,139,102,147,39,148,56,53,52,149,69,31,39,112,150,125,10,22,24,22,24,151,24,9,24,9,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,2,78,99,152,32,74,54,153,52,36,154,15,12,155,13,156,91,157,13,158,12,15,10,62,37,15,1,1,1,1,1,1,1,1,1,1,1,1,1,9,10,82,150,67,159,15,10,160,18,82,56,29,21,31,32,100,73,161,52,29,13,103,91,162,39,59,60,59,60,31,32,138,113,15,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,8,24,22,24,22,48,1,1,1,1,1,2,22,24,22,48,1,1,1,1,1,1,1,1,163,24,59,60,126,113,164,73,33,77,62,37,165,30,36,30,166,89,167,5,168,37,139,169,170,105,62,171,1,1,1,1,1,1,1,1,1,1,1,50,22,24,9,60,125,18,9,18,17,24,80,113,80,21,31,73,162,54,90,30,58,113,139,39,15,24,22,24,9,129,80,13,9,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,24,9,172,173,172,22,48,8,24,22,24,9,172,174,172,22,24,22,24,22,48,1,2,127,1,49,24,17,24,175,119,162,32,118,106,6,21,176,52,74,52,100,54,157,30,36,102,177,123,178,70,152,116,1,2,3,1,1,1,1,1,1,1,1,1,1,24,4,10,46,50,22,41,49,24,22,24,59,21,90,30,147,119,112,24,9,129,15,41,1,1,1,50,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,9,24,173,172,174,172,22,24,9,24,22,172,173,172,174,172,22,24,22,24,22,1,49,41,1,1,49,41,9,24,94,52,75,89,149,89,176,73,114,179,84,111,84,71,170,69,149,180,181,182,183,73,25,7,9,10,1,1,1,1,1,1,1,2,3,1,9,10,46,1,8,48,1,1,1,2,82,13,103,102,112,184,4,10,185,50,9,10,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,24,9,24,173,172,22,24,9,172,22,172,173,172,174,172,174,24,9,24,22,24,1,1,1,1,1,1,1,50,9,56,186,111,187,188,189,71,190,191,133,85,192,191,124,85,193,134,194,195,196,108,72,197,62,10,15,23,1,1,1,1,1,2,198,199,127,24,17,1,1,24,17,1,1,2,200,13,201,39,202,10,17,24,46,1,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,49,24,22,24,22,24,46,24,173,172,173,172,174,24,173,172,22,50,9,24,46,1,1,1,1,1,1,1,1,24,126,119,20,119,138,77,20,39,202,77,20,99,53,39,104,102,203,73,177,121,162,99,112,13,82,12,204,48,1,1,1,1,9,37,205,18,9,18,1,1,206,18,22,10,58,56,67,30,203,32,57,12,3,1,1,2,38,12,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,49,24,46,1,9,24,173,172,173,172,174,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,9,24,22,207,9,10,208,24,174,172,22,24,209,113,74,71,72,30,210,211,15,10,14,13,17,1,1,1,1,24,20,106,25,10,15,23,8,18,57,64,139,91,170,52,212,73,100,32,6,12,127,2,82,56,6,13,213,1,1,1,8,10,28,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,24,9,172,173,172,174,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,50,46,1,49,24,9,24,9,24,173,214,173,172,174,24,22,24,215,12,216,18,8,23,1,2,82,39,202,18,9,18,17,12,94,102,29,217,176,70,190,111,153,69,218,32,14,18,9,10,59,60,4,10,1,1,1,50,219,12,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,49,24,9,172,174,172,22,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,9,220,9,24,22,172,173,172,174,221,174,24,22,24,58,13,4,24,4,48,9,150,67,91,222,24,4,10,139,223,170,89,170,70,224,180,133,111,153,73,162,16,25,10,9,10,15,24,46,1,1,1,1,24,225,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,49,24,173,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,226,1,50,9,24,9,24,9,24,173,172,173,172,174,24,9,10,17,24,9,24,46,24,80,91,29,64,58,18,82,150,139,91,147,56,53,52,162,52,33,32,210,60,4,24,46,50,9,41,1,1,1,1,1,1,9,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,49,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,22,24,46,50,22,41,1,50,46,1,9,113,53,89,33,21,227,37,25,113,228,150,173,150,59,150,125,60,112,10,22,41,1,1,1,1,1,1,1,1,1,1,1,24,17,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,173,91,29,39,59,60,78,12,4,10,22,24,82,10,78,12,38,37,15,7,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,229,7,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,80,150,4,24,22,24,22,24,46,1,9,230,231,18,58,13,232,13,14,12,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,82,12,14,23,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,41,49,41,1,1,1,1,1,50,22,24,9,24,82,18,82,18,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,233,46,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,4,24,234,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,41,163,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,8,23,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,235,236,1,1,1,237,46,1,49,238,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,23,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,42,239,82,18,240,241,242,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,22,24,78,12,78,12,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,82,18,15,10,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,48,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,9,24,174,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,127,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,48,8,24,22,24,22,24,9,172,173,172,174,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,9,24,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,8,24,173,172,22,24,22,24,22,24,173,24,173,172,174,172,174,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,22,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,2,9,24,1,24,173,172,174,24,9,24,9,24,9,172,22,24,173,172,174,172,174,172,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,9,24,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,48,1,1,1,1,9,24,46,1,49,24,22,24,46,1,1,1,49,24,22,41,49,24,174,172,9,24,22,24,9,24,22,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,22,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,9,24,22,1,8,24,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,24,9,24,9,24,22,24,9,24,9,24,1,1,1,1,1,1,1,1,1,1,1,2,22,24,22,24,127,1,8,24,127,1,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,24,0},
{0,1,1,1,1,2,22,24,22,48,1,1,1,2,22,24,22,24,22,24,9,24,127,2,127,1,8,24,22,24,1,24,9,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,24,22,41,1,50,9,24,46,1,1,1,1,1,1,1,1,1,8,24,9,24,173,172,22,24,22,24,9,24,22,24,9,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,23,1,1,1,1,1,1,1,1,1,24,22,24,22,0},
{0,1,1,8,24,9,172,173,24,22,2,127,2,9,172,173,172,22,24,22,24,9,24,9,24,22,24,9,24,22,24,9,24,22,24,22,48,1,2,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,22,41,1,1,1,1,42,48,1,1,1,1,1,1,1,1,1,50,9,24,22,172,173,24,22,24,9,24,22,24,9,24,22,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,46,1,1,1,1,1,1,1,1,1,9,24,22,41,0},
{0,1,1,24,9,172,173,172,174,24,9,24,9,172,173,172,174,172,22,24,9,24,22,24,22,24,22,24,22,24,9,172,173,24,173,172,22,24,9,24,9,24,22,24,22,24,127,1,1,1,1,1,1,1,9,24,22,24,1,1,8,24,9,24,22,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,46,1,1,50,9,41,1,50,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,41,1,0},
{0,1,1,9,24,173,172,173,172,174,24,22,172,173,172,173,172,174,24,22,24,9,24,9,24,9,24,173,24,22,24,173,172,174,172,173,172,22,24,9,24,9,24,22,24,9,24,127,1,1,1,1,1,1,24,9,24,22,1,1,50,9,24,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,127,2,9,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,1,1,0},
{0,1,1,50,9,24,9,172,174,24,9,24,9,24,173,172,174,172,22,41,1,1,1,50,22,24,9,172,174,172,173,172,173,172,173,172,174,24,9,172,22,24,22,24,22,24,9,24,1,1,1,1,1,1,9,24,22,24,1,1,1,24,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,9,24,173,24,22,24,22,24,22,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,0},
{0,1,1,1,24,9,24,9,24,46,1,1,1,49,24,9,24,22,41,1,1,1,1,1,1,49,24,9,172,174,172,173,172,174,172,173,172,22,24,173,172,9,24,9,24,1,50,46,1,1,1,1,1,1,24,9,24,46,1,1,1,9,24,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,24,22,172,22,24,22,24,173,24,9,24,9,24,9,24,22,48,1,1,1,1,1,1,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,2,9,24,46,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,50,9,24,9,172,173,172,174,172,174,24,49,24,22,24,22,24,22,1,1,1,1,1,1,1,1,1,49,24,46,1,1,1,1,24,9,24,22,48,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,24,9,24,22,24,9,41,1,1,49,24,46,50,9,24,9,172,22,172,22,24,22,24,127,2,22,24,22,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,50,9,172,173,172,173,172,22,2,9,24,9,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,24,22,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,49,24,22,41,1,1,1,1,1,1,1,1,8,24,173,172,173,172,174,172,22,24,9,24,9,24,22,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,22,172,174,24,9,24,22,24,22,24,22,1,8,48,1,1,1,1,1,1,42,10,127,1,1,1,1,1,9,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,8,24,127,24,9,172,174,172,174,24,22,24,22,24,46,24,22,41,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,9,24,22,24,9,24,9,24,9,24,1,50,46,1,1,1,1,1,1,50,22,41,1,1,1,1,1,50,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,48,1,24,9,24,9,24,173,172,173,172,22,24,22,41,1,1,49,41,1,50,9,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,22,1,49,24,9,24,22,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,24,9,24,22,24,22,24,22,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,2,9,24,22,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,1,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,22,24,9,24,9,24,9,41,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,24,46,50,46,1,1,1,1,1,8,48,1,1,1,1,1,1,1,1,1,1,8,24,9,24,9,24,22,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,22,24,46,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,24,9,24,22,24,173,172,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,9,24,9,172,174,24,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,22,24,9,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,48,8,48,8,48,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,18,25,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,2,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,24,22,24,22,24,22,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,22,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,24,9,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,24,127,1,1,1,9,172,174,24,173,24,22,24,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,22,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,41,1,1,1,50,9,172,22,24,174,24,22,24,9,24,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,49,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,22,41,49,24,9,41,9,24,22,2,22,24,22,48,1,1,1,1,1,1,1,1,1,1,8,48,9,24,243,48,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,48,1,24,9,24,9,24,173,172,22,1,1,1,1,1,8,48,1,1,8,24,22,24,22,24,46,50,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,48,1,1,8,24,9,24,22,48,9,24,22,24,9,172,174,24,22,48,1,1,8,24,22,24,22,24,9,24,9,24,22,1,1,50,46,1,1,1,1,1,1,2,127,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,2,9,24,22,1,42,24,22,24,22,24,46,24,9,24,9,24,173,172,174,24,46,1,1,50,9,24,22,24,9,24,22,24,22,41,1,1,1,1,1,1,1,1,1,1,9,24,9,24,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,24,22,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,24,22,24,9,24,9,24,173,24,22,24,46,1,9,24,22,24,9,172,174,24,46,1,1,1,1,50,46,1,1,24,9,24,22,24,1,1,1,1,1,1,1,1,1,1,1,50,46,50,185,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,9,24,1,1,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,24,9,172,22,24,9,24,22,24,173,172,174,24,22,48,1,50,9,24,9,24,9,24,46,1,1,1,1,1,1,1,1,1,49,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,50,46,1,1,24,22,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,9,24,9,172,173,172,174,172,173,24,22,24,9,24,22,24,22,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,49,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,9,24,1,1,1,1,1,1,9,24,1,1,1,1,1,1,1,24,9,24,173,172,174,172,173,172,174,24,9,172,174,24,22,24,127,1,8,48,1,1,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,24,22,48,1,2,127,1,1,50,46,1,1,1,1,1,1,1,49,24,9,24,174,172,9,172,173,172,9,172,173,172,174,172,22,24,22,24,22,24,9,24,174,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,49,24,46,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,172,174,24,9,172,174,172,173,172,174,172,174,172,22,172,173,172,173,172,173,172,174,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,9,24,173,172,173,172,173,172,173,172,174,172,173,172,174,172,173,172,174,172,22,24,1,1,1,1,1,1,1,1,8,24,22,24,127,1,8,24,174,172,22,24,22,48,1,1,1,1,1,1,8,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,172,174,172,173,172,174,172,174,172,174,172,173,172,174,172,173,172,22,24,46,1,1,1,1,1,1,1,1,50,9,24,9,24,1,24,173,172,174,172,22,24,46,1,1,1,1,1,1,50,9,24,9,24,1,1,8,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,173,172,173,172,173,172,173,172,174,24,22,24,9,24,9,172,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,9,172,174,24,22,41,1,1,1,1,1,1,1,1,1,50,46,24,22,2,22,24,173,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,2,22,48,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,172,174,172,173,172,174,172,174,24,22,24,22,24,9,24,173,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,49,24,9,172,174,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,8,24,9,172,22,24,22,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,173,172,173,172,174,172,174,172,174,172,22,172,174,172,173,172,174,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,8,24,22,172,173,172,22,24,173,24,127,1,1,1,1,1,1,1,1,1,1,2,22,24,9,172,174,172,173,172,174,172,174,172,174,172,173,172,174,172,173,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,8,24,173,172,173,172,174,24,173,172,174,24,22,24,22,48,8,24,22,24,22,24,9,172,173,172,173,172,173,172,174,172,174,172,174,172,174,172,174,172,173,172,174,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,50,9,172,174,172,174,24,22,24,173,24,22,24,9,24,46,50,9,24,22,24,9,172,173,172,173,172,174,172,173,172,174,172,174,24,9,24,9,172,174,172,173,172,22,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,163,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,50,22,24,9,24,46,1,49,24,46,1,1,1,1,1,1,1,1,1,1,50,9,24,9,24,173,172,174,172,174,172,22,24,46,1,1,50,9,24,9,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,9,24,9,24,22,41,1,1,1,1,1,1,1,1,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,48,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,2,22,24,22,48,8,24,127,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,22,50,9,24,1,1,1,1,1,1,1,1,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,1,8,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,48,1,1,1,1,1,1,1,1,8,24,22,48,1,0},
{0,1,1,1,1,49,24,9,24,46,50,9,41,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,41,1,50,46,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,1,24,9,24,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,42,24,9,24,22,1,1,1,1,1,1,1,1,24,9,24,46,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,172,22,48,9,24,9,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,22,24,1,1,1,1,1,2,22,24,22,24,46,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,173,172,22,24,173,172,173,172,22,24,127,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,9,24,22,48,8,24,22,24,9,24,22,24,22,1,1,1,0},
{0,1,1,1,1,1,1,2,127,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,172,174,24,173,172,173,172,174,172,174,24,22,24,22,24,22,24,22,48,8,24,22,24,22,24,22,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,24,174,172,174,24,22,24,9,24,22,24,22,24,22,24,1,1,8,0},
{0,1,1,1,1,1,1,9,24,1,1,1,1,1,1,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,173,172,22,172,173,172,173,172,174,172,173,24,9,24,22,24,9,24,46,50,9,24,22,24,9,24,9,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,172,173,172,22,24,9,24,9,24,9,24,22,24,22,1,1,24,0},
{0,24,127,1,1,2,9,24,22,48,1,1,1,1,8,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,22,24,9,24,22,24,22,24,22,24,46,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,22,41,1,1,49,24,9,24,9,24,22,24,1,2,9,0},
{0,9,24,1,1,9,24,173,172,22,1,1,2,22,24,173,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,41,1,1,1,1,49,24,9,24,9,24,46,1,49,24,0},
{0,24,22,48,1,24,9,172,174,24,1,2,9,24,173,172,174,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,0},
{0,49,24,46,1,49,24,9,24,46,1,49,24,9,24,9,24,22,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,0},
{0,1,1,1,1,1,1,50,46,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,9,172,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,24,22,48,8,24,22,24,127,1,1,1,1,2,9,24,9,172,173,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,24,9,24,9,24,22,24,22,24,9,24,1,1,1,1,49,24,9,24,173,172,174,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,24,22,48,1,1,1,2,127,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,9,172,173,172,22,24,9,24,9,24,9,24,22,1,1,1,1,1,1,50,9,172,173,172,22,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,22,48,1,0},
{0,1,1,1,1,1,1,9,24,46,1,1,1,9,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,8,24,22,24,127,1,1,1,8,24,9,24,174,172,173,172,22,24,22,24,22,24,9,24,127,1,1,1,1,1,8,24,9,172,174,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,24,46,1,0},
{0,1,1,1,1,1,1,24,22,1,1,1,1,24,9,24,22,1,1,1,1,1,8,24,22,24,22,24,22,24,173,172,22,24,22,24,22,24,9,24,9,24,9,172,174,24,9,24,9,24,9,24,22,24,127,1,1,1,8,24,9,24,173,172,22,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,0},
{0,1,1,1,1,1,1,9,24,127,1,1,2,9,24,9,24,1,1,1,1,1,50,9,24,9,24,22,24,173,172,173,172,22,24,9,24,9,24,9,24,22,24,9,24,22,50,46,24,22,24,9,24,9,24,1,1,8,24,9,24,9,172,174,172,22,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,127,1,8,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,8,24,22,24,22,24,22,24,9,24,22,1,1,1,1,1,1,1,49,24,9,24,9,24,9,172,174,24,46,1,49,24,22,24,9,24,22,172,22,24,1,1,9,24,9,24,9,24,22,48,1,24,9,24,9,24,9,24,173,172,22,24,1,1,1,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,9,24,22,24,22,24,127,1,1,1,1,2,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,50,9,24,22,24,22,24,22,24,22,41,1,1,1,1,1,1,1,1,1,1,1,50,9,24,9,24,46,1,1,1,9,24,9,24,22,24,173,172,22,48,1,24,22,24,9,24,173,24,22,24,9,24,22,24,22,24,9,172,174,24,22,48,1,1,1,1,8,24,9,24,127,1,1,1,1,1,1,1,1,1,1,1,1,2,9,172,22,24,173,172,22,24,1,1,42,24,9,24,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,50,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,22,24,22,24,22,24,22,48,9,24,22,24,173,172,174,24,9,172,174,24,9,24,9,24,173,172,22,24,22,24,22,24,22,24,173,172,174,24,22,24,22,48,1,1,8,48,1,1,1,2,9,172,173,172,173,172,174,172,22,24,9,24,9,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,9,24,9,24,9,24,22,24,46,50,9,24,9,172,173,172,22,24,173,172,174,24,22,24,9,172,174,172,9,24,9,24,22,24,173,172,173,172,174,24,9,24,22,1,1,24,22,24,127,1,9,24,173,172,174,172,173,172,174,172,9,24,22,24,173,172,174,24,22,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,172,174,24,22,24,22,24,9,24,9,24,173,172,22,24,22,24,22,24,9,24,22,172,174,24,9,24,22,24,22,24,9,24,9,24,22,24,173,172,173,172,173,172,174,172,174,172,173,172,173,172,174,172,174,172,173,172,174,24,22,48,1,1,1,2,127,1,1,1,1,2,22,48,1,0},
{0,1,1,1,1,1,2,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,24,22,41,9,24,9,24,22,24,9,24,22,24,9,24,49,24,9,24,9,24,9,24,22,24,9,24,22,24,9,24,22,24,22,24,9,24,173,172,174,172,173,172,174,172,173,172,174,172,173,172,173,172,173,172,174,172,174,24,46,1,1,1,49,41,1,1,1,1,49,24,46,1,0},
{0,1,1,2,22,24,9,24,22,24,127,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,50,46,1,1,24,22,24,22,41,49,24,22,24,22,50,46,1,1,24,22,24,22,24,46,1,49,24,22,41,1,1,1,1,1,1,1,1,49,24,9,172,173,172,174,172,22,24,9,24,9,24,173,172,174,172,173,172,174,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,9,24,9,172,173,24,9,24,22,48,1,1,8,48,1,1,42,48,1,1,1,1,1,1,1,1,1,1,42,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,24,9,24,9,24,127,2,9,24,22,24,22,24,22,24,9,172,173,24,22,24,22,24,9,24,127,1,1,1,1,1,1,1,1,1,1,24,22,24,173,172,174,24,1,50,46,1,49,24,173,172,173,172,174,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,50,9,172,173,172,174,172,174,172,22,24,22,24,22,24,9,24,22,48,8,24,127,1,1,1,1,1,1,24,22,24,22,24,22,24,9,24,127,2,127,1,1,1,1,1,1,1,1,2,127,2,22,24,22,24,9,24,22,24,9,172,173,172,173,172,174,172,173,172,173,172,174,172,174,172,173,172,22,24,127,2,22,48,1,1,1,1,1,1,9,24,9,24,22,24,22,1,1,1,1,1,49,24,9,24,22,24,46,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,24,173,172,173,172,174,172,173,24,9,24,173,172,22,24,9,24,46,50,9,24,1,1,1,1,1,1,9,24,9,24,9,24,9,24,22,24,49,41,1,1,1,1,1,2,22,24,9,24,9,24,9,24,9,24,9,24,22,24,173,172,174,172,173,172,173,172,173,172,173,172,174,172,174,172,173,172,22,24,9,24,22,1,8,48,1,1,42,24,22,24,9,24,22,24,1,1,1,1,1,1,9,24,9,24,22,48,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,1,9,24,22,24,22,24,22,24,46,1,49,24,22,41,1,50,46,1,1,50,46,1,1,1,1,1,1,50,46,1,1,1,1,1,49,24,46,1,1,1,1,1,1,2,9,24,22,172,22,24,22,24,22,24,9,24,22,24,9,172,173,172,173,172,174,172,173,172,173,172,174,172,174,172,173,172,174,24,22,24,22,24,42,24,22,24,22,24,9,24,173,172,22,24,22,1,1,1,1,2,22,24,9,24,22,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,1,1,8,24,9,24,22,24,1,1,1,1,1,1,49,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,174,24,173,172,9,24,9,24,9,24,9,24,22,24,173,172,173,172,173,172,173,172,173,172,173,172,174,172,174,172,173,172,22,24,9,24,46,50,9,24,9,24,9,24,22,172,173,172,22,24,1,1,1,1,9,24,22,24,9,24,22,41,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,2,22,24,22,24,9,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,49,24,9,24,174,24,22,50,46,24,9,172,22,24,9,172,173,172,174,172,174,172,173,172,174,172,174,172,174,24,9,172,174,24,22,50,46,1,1,1,1,1,49,24,22,24,9,172,174,172,22,48,1,1,1,24,22,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0},
{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
}};
